Subject: Re: [regression] e1000e broke e1000

From: "Chris Friesen" <[email-masked]>
Date: Fri, 11 Apr 2008 09:40:23 -0600

Ingo Molnar wrote:

> well, your 2.6.26 plans, if i understand them correctly, is to move 
> currently working PCI IDs from e1000 to e1000e, like you attempted to d 
> it in v2.6.24, which Linus reverted - correct? I.e. e1000 simply wont 
> support eth0 on my T60 from 2.6.26 on? That is still an incredibly 
> stupid plan, and no amount of announcement on lkml will make it any less 
> stupid.

It seems like you're saying that once hardware is supported by a 
particular config option, it can never ever be split out to another 
config option, even if it makes both drivers cleaner.

A similar situation happened when the sk98lin driver was split into skge 
and sky2...I don't remember a big fuss back then.  Is it just that no 
major developers were using the hardware so they didn't notice?

Chris